//
// Created by illyum on 8/15/2024.
//

#ifndef BASICLOGGER_H
#define BASICLOGGER_H


enum LogPriority {
    TraceP, DebugP, InfoP, WarnP, ErrorP, FatalP
};

class BasicLogger {
private:
    static LogPriority verbosity;

public:
    static void Log(LogPriority priority, const char *message);
    static void SetVerbosity(LogPriority new_priority);
};

#endif //BASICLOGGER_H
